# Create payment intent (Financial)

Create a new Stripe payment intent for purchase processing. Requires tenant context for Stripe API key. FINANCIAL OPERATION - handle with care. Replaces POST /purchase/payment-intent

Endpoint: POST /purchases/payment-intents
Version: 2.0.59
Security: projectKey

## Security:

  - `projectKey` (unknown)
    apiKey in header x-project-key

## Request fields (application/json):

  - `amount` (number, required)
    Amount in cents

  - `currency` (string, required)
    Currency

  - `receiptEmail` (string, required)
    Receipt Email

  - `description` (string)
    Description

## Response 200:

  - `200` (unknown)
    Payment intent created successfully

## Response 200 fields (application/json):

  - `paymentClientSecret` (object, required)
    Payment Intent ClientSecrete to complete Stripe payment

  - `paymentIntentId` (string, required)
    Payment Intent Id

## Response 201 fields (application/json):

  - `paymentClientSecret` (object, required)
    Payment Intent ClientSecrete to complete Stripe payment

  - `paymentIntentId` (string, required)
    Payment Intent Id

